package agilpizza.comum;

import static org.junit.Assert.assertEquals;
import static org.junit.Assert.assertTrue;

import org.testng.annotations.Test;

import agilpizza.internal.SeleniumTestCase;

public class PaginaInformacoesTest extends SeleniumTestCase {
	@Test
	public void informacoesTeste() {
		sel.open(CONTEXTO);
		assertEquals("AgilPizza", sel.getTitle());
		assertTrue(sel.isElementPresent("linkSobre"));
		sel.clickAndWait("linkSobre");
		assertTrue(sel.isTextPresent("Informações"));
		assertTrue(sel.isTextPresent("Telefone: (11) 6070-6070"));
		assertTrue(sel.isTextPresent("Região de Entrega: Butantã e Pinheiros"));
		assertTrue(sel.isTextPresent("Formas de Pagamento: Dinheiro ou Cheque"));
		assertTrue(sel.isTextPresent("Endereço: Rua do Matão, 1010"));
	}
}
